//1,"pit40_3.sc","PIT-40","PIT",0,2.4.10,SYSTEM

#include "pdfparam.sci"

//#define NAMES
#define WYDRUK 0
#define PITSKALA
#define PIT40 "PIT-40"
#define ZMIANYFORM_2011	1 
#define NEW_SUMMARY
#define KLASAPIT81 9332
#define PIT_ZAL 1

#define PRACOWNIK_PROWADZI_DZIALALNOSC_GOSPODARCZA	15481

string declare WartoscPoz81()
int DrukujGrosze = 0
Summary Main_Summary

long nSummType = SUMM_BY_POD_DOCH_YEAR|SUMM_USE_MY_VALUES

string sUzasadnienieORDZU

FilePaths path
#include "iForm.sci"
#include "e_deklaracje.sci"
#include "pitpom.sci"
#include "funkad.sci"
#include "ordzu1.sci"

string komunikat
MapValue mvStanRaportow
mvStanRaportow.Type(string)

CzyAdres = 1
string sName
string sKraj = ""
int nrStrony = 0
int nCzescK
int bDzialGosp
int iKomPELEL = 0, iDrukujNIP = 0
string okres_od, okres_do
date dt_od
date dt_do
string sPom
dispatch ed3

buf = DataOkresu(Okres())
find regular "{:d#}/-:d#"
strRok = regular 1

ibmpform_pagecount=3

defPIT_Initialization(strRok)
ftype = defPIT.sType

int sub User_Dialog(int bctrl)
	if bctrl then
		Chkbox "Korekta formularza", bKorekta,10,35,180,20
		ChkBox "Doczono zacznik PIT-R",nCzescK,10,55,200,20
	endif
	User_Dialog=80
endsub

if !inrStr then
	OffsetDialog(0)
	if SposobPrezentacji(2) == 1 then
		E_Deklaracja.BeginE_DECL(findsfilekd("Raporty\\Dane\\E_Deklaracje\\",defPIT.sFile))
	endif
	okres_od = strRok+"-01-01"
	okres_do = strRok+"-12-31"
	MYPeriodsOpen3(Val(strRok),12,1)
	CzyDrukujWart = bbmpform_txt_on
	arch  = using "%s#%s#%d#%d#%d#%d#%d#%d", okres_od, okres_do,bmpinfo_to_int(),PeriodIsOpen,bCzyEdit,CzyZatrud,SposobPrezentacji(1),defPIT.NumerZestawu
else
	buf = arch
	find regular "{:d^4/-:d^2/-:d^2}/#{:d^4/-:d^2/-:d^2}/#{:r}/#{:r}/#{:r}/#{:r}/#{:r}/#{:d#}/#{:c}"
	okres_od = regular 1
	okres_do = regular 2
	bmpinfo_from_int(val(regular 3))
	PeriodIsOpen = val(regular 4)
	bCzyEdit = val(regular 5)
	CzyZatrud = val(regular 6)
	SposobPrezentacji(1) = val(regular 7)
	sSkip = regular 9
	defPIT_SetYear(val(regular 8),val(Mid(okres_od, 1, 4)))
	ftype = defPIT.sType
	CzyDrukujWart = bbmpform_txt_on
	if (bbmpform_pagesprint(4)==1) then
		ibmpform_pagecount=4
		ibmpform_bmp_nr(4)=-1
	endif
	sName = GetIni(sSectionNadr, sEntry)
	if LoadData(sName) == -1 then error ""
	CreateT()
endif

if bTrybSumm then nSummType|= SUMM_READ_VALUES

int sub Befor_Print_Page(int strnr, int pagesort)
	int j = 10	

	Befor_Print_Page=1
	dt_od.FromStr(okres_od)
	dt_do.FromStr(okres_do)
	if strnr==0 then
		//Lipracownicy(dt_od,dt_do)
		if !SetGroup( lidgrupy, ityp, TR_PRACOWNICY, Okres(dt_od.ToStr()), OstatniOkres( dt_do.Year, 12) ) then message sErrBlednaGrupa : error ""

		if !Main_Summary.PrepareSummary(defPIT.idZestawu, nSummType, 0) then message sErrInternal : error ""
		Main_Summary.AddPeriods(dt_od,dt_do,PER_TYP_YEAR_POD)

		nRetVal = ANULUJ
		dataPD.FromStr(okres_do)
	endif

	if (strnr==3) && (nRetVal==ANULUJ) then
		FORM_WIDTH = 400
		
		if bDrukORDZU then 
		 	FORM_HEIGHT = 150+WYSKOSCORDRZU
		else 
			FORM_HEIGHT = 160
		endif 
		if bDrukORDZU && bKorekta then
			iDrukujORDZU = 1 
		endif

		Form "Informacje dodatkowe",FORM_WIDTH,FORM_HEIGHT
		Text "Owiadczenie patnika",10,j,200,20
		Text "Imi", 10,j+=20,55,20
		Edit "",sImie,60,j-3,200,20
		Text "Nazwisko", 10,j+=27,55,20 
		Edit "",sNazwisko,60,j-3,200,20
		if bDrukORDZU then 
			KomponetyORDZU(j+=20, 400)
		endif 
		Button "&OK",ButtonDistanceLeft(1,2), BUTTON_DISTANCE_TOP, BUTTON_WIDTH, BUTTON_HEIGHT, OK
		Button "&Anuluj",ButtonDistanceLeft(2,2),BUTTON_DISTANCE_TOP, BUTTON_WIDTH, BUTTON_HEIGHT, ANULUJ
		nRetVal = ExecForm(OnCommORDZU)
		if nRetVal == ANULUJ then error ""
//		if !Main_Summary.PrepareSummary(defPIT.idZestawu, nSummType, 0) then message sErrInternal : error ""
//		Main_Summary.AddPeriods(dt_od,dt_do,PER_TYP_YEAR_POD)
		bbmpform_pagesprint(defPIT.iPage+1) = iDrukujORDZU
	endif
endsub

int sub drukujDaneZAdresu(int ids,long id1,int x,int y,int i)
	if ZwrocWartosc(ids,id1) then
		if i then
			if TextWidth(g_hval.StrValue, fntMale) > 450 then SetFont(fntMale2)
		endif
		printAt(x,y,g_hval.StrValue)
		if i then SetFont(fntMale)
		E_Deklaracja.AddValue(g_hval.StrValue)
	else
		E_Deklaracja.AddValue("")
	endif
 endsub
int sub drukujDaneAdresuStr(int x,int y,string dane,int i)
	if i then
		if TextWidth(dane, fntMale) > i then SetFont(fntMale2)
	endif
	printAt(x,y,dane)
	if i then SetFont(fntMale)
	E_Deklaracja.AddValue(dane)
 endsub

int sub Print_Page_1()
	string firminfo=""
	string firmWlascinfo=""
	string pracownikInfo=""
	string tempPlik

	date datbuf
	string sdat
	string temp
	date datUrodz

	tempPlik=using "%s %s %s %d %s", PIT40, infprac.nazwisko, infprac.imie1, infprac.id, strRok
	E_Deklaracja.NewOutFilePIT(path.Path(E_DEKLARACJE_PATH),tempPlik, bKorekta,"Pracownik "+infprac.nazwisko+" "+ infprac.imie1+" - Deklaracja PIT 40 ")

	datbuf.fromstr(okres_do)
	sdat = datbuf.DateToStr()
	datbuf.SetLastDayOfMonth()

	///test wartosci do sprawdzenia
	if (testNIP(firma.NIP)) then firminfo="NIP"
	if firma.fizyczna then
		datUrodz.FromStr(firma.DataUrodz)
		if !datUrodz.Valid() then firmWlascinfo="Data urodzenia"
	endif
	//pracownik
	datUrodz.FromStr(infprac.DataUrodz)
	if !datUrodz.Valid() then pracownikInfo=dodajtekst(pracownikInfo,"Data urodzenia")

	if !bAdresT then
		WczytajWartosc(sdat,datbuf.DateToStr(),IdSkladnika("Adres zameldowania"),lidprac)
		if !ZwrocWartosc(-1,8307) then 
			pracownikInfo=dodajtekst(pracownikInfo,"Adres")
		else
			ZwrocWartosc(-1,8308)
			if len(g_hval.StrValue)<1 then pracownikInfo=dodajtekst(pracownikInfo,"Kraj")
			ZwrocWartosc(-1,8303)
			if len(g_hval.StrValue)<1 then pracownikInfo=dodajtekst(pracownikInfo,"Miejscowo")
			ZwrocWartosc(-1,8304)
			if len(g_hval.StrValue)<1 then pracownikInfo=dodajtekst(pracownikInfo,"Kod pocztowy")
			ZwrocWartosc(-1,8301)
			if len(g_hval.StrValue)<1 then pracownikInfo=dodajtekst(pracownikInfo,"Numer domu")
			ZwrocWartosc(-1,8307)
			if len(g_hval.StrValue)<1 then pracownikInfo=dodajtekst(pracownikInfo,"Wojewdztwo")
			ZwrocWartosc(-1,8332)
			if len(g_hval.StrValue)<1 then pracownikInfo=dodajtekst(pracownikInfo,"Powiat")
			ZwrocWartosc(-1,8305)
			if len(g_hval.StrValue)<1 then pracownikInfo=dodajtekst(pracownikInfo,"Poczta")
			ZwrocWartosc(-1,8306)
			if len(g_hval.StrValue)<1 then pracownikInfo=dodajtekst(pracownikInfo,"Gmina")
		endif
	else
		WczytajWartosc(sdat,datbuf.DateToStr(),IdSkladnika("Adres tymczasowy"),lidprac)
		if !ZwrocWartosc(-1,8307) then 
			pracownikInfo=dodajtekst(pracownikInfo,"Adres")
		else
			ZwrocWartosc(-1,8303)
			if len(g_hval.StrValue)<1 then pracownikInfo=dodajtekst(pracownikInfo,"Miejscowo")
			ZwrocWartosc(-1,8304)
			if len(g_hval.StrValue)<1 then pracownikInfo=dodajtekst(pracownikInfo,"Kod pocztowy")
			ZwrocWartosc(-1,8301)
			if len(g_hval.StrValue)<1 then pracownikInfo=dodajtekst(pracownikInfo,"Numer domu")
			ZwrocWartosc(-1,8307)
			if len(g_hval.StrValue)<1 then pracownikInfo=dodajtekst(pracownikInfo,"Wojewdztwo")
			ZwrocWartosc(-1,8332)
			if len(g_hval.StrValue)<1 then pracownikInfo=dodajtekst(pracownikInfo,"Powiat")
			ZwrocWartosc(-1,8305)
			if len(g_hval.StrValue)<1 then pracownikInfo=dodajtekst(pracownikInfo,"Poczta")
			ZwrocWartosc(-1,8306)
			if len(g_hval.StrValue)<1 then pracownikInfo=dodajtekst(pracownikInfo,"Gmina")
		endif
	endif
	mvStanRaportow.Clear()
	if len(firminfo)>0 then mvStanRaportow.sET("firma",firminfo+" firmy nie zosta wprowadzony.")
	if len(firmWlascinfo)>0 then mvStanRaportow.sET("Waciel firma",firmWlascinfo+" waciciela firmy nie zosta wprowadzony.")
	if len(pracownikInfo)>0 then mvStanRaportow.sET("pracownik",pracownikInfo+" pracownika "+infprac.Imie1+" "+infprac.Nazwisko+" nie zosta wprowadzony.")
	//komunikat czy kontynuowac
	if mvStanRaportow.Size()>0 then
		mvStanRaportow.Set("komunikat","Czy chcesz kontynuowa wykonanie raportu ?")
		oknoPytania(mvStanRaportow)
	endif

	PIT_Firma_NIP()
	PIT_Rok()
	PIT_Sekcja_A(bKorekta)
	//BLOK Sekcja B
	NazwaFirmy1(11, 2, 0, 0)
	if firma.fizyczna then
		E_Deklaracja.AddValueNo("1",7)
		E_Deklaracja.AddValueStr(firma.Nazwisko,"P_8_2")
		E_Deklaracja.AddValueStr(firma.Imie1, "P_8_1")
		datUrodz.FromStr(firma.DataUrodz)
		if datUrodz.Valid() then
			 E_Deklaracja.AddValueStr(firma.DataUrodz, "P_8_3")
		 else
			E_Deklaracja.AddValueStr("", "P_8_3")
		 endif	
	else
		E_Deklaracja.AddValueNo("2",7)
		E_Deklaracja.AddValueStr(firma.NazwaPelna, "P_8_1")
		if Val(firma.REGON) then E_Deklaracja.AddValueStr(firma.REGON, "P_8_2")
	endif
	//KONIEC
//BLOK Sekcja C
bDzialGosp = 0
WczytajWartosc(sdat, datbuf.DatetoStr(), PRACOWNIK_PROWADZI_DZIALALNOSC_GOSPODARCZA, lidprac)
if ZwrocWartosc(-1, 0) then	bDzialGosp = g_hval.Value
SetFont(fntMale)
if Val(infprac.PESEL)>2 && !bDzialGosp then
	PrintKreskaNIP(t(19),t(20))	
	PrintRozstrz(infprac.PESEL,t(23),t(24))
	E_Deklaracja.AddValueStr(infprac.PESEL,"P_9_1")
else
	if !bAdresT then
		WczytajWartosc(sdat,datbuf.DateToStr(),IdSkladnika("Adres zameldowania"),lidprac)
	else
		WczytajWartosc(sdat,datbuf.DateToStr(),IdSkladnika("Adres tymczasowy"),lidprac)
	endif
	if ZwrocWartosc(-1,8308) && len(g_hval.StrValue)>0 && len(g_hval.StrAttribute)>0 then
		sKraj = g_hval.StrAttribute
	endif
	if defPIT.NumerZestawu >= 22 && len(sKraj) && Val(infprac.NIP)<2 && Val(infprac.PESEL)<2 && ucase(sKraj) != "PL" then
		buf = "9999999999"
		E_Deklaracja.AddValueStr(buf,"P_9_2")
	else
		if !iKomPELEL && !bDzialGosp then
			iKomPELEL = 1
			iDrukujNIP = Message using "U niektrych pracownikw wykryto brak PESEL. Czy wydrukowa NIP?{{icon=! buttons=[&Tak:1](&Nie:2)}}"  
		endif  
		if iDrukujNIP == 1 || bDzialGosp then 
			PrintKreskaPESEL(t(21),t(22))
			buf = infprac.NIP
			while delete"-" wend
			PrintRozstrz(buf,t(23),t(24))
		else
			buf = ""
		endif
		E_Deklaracja.AddValueStr(buf,"P_9_2")
	endif
endif 

if defPIT.NumerZestawu >= 22 then
	E_Deklaracja.ValueNumber = 14
	E_Deklaracja.AddValue(infprac.Nazwisko)
	E_Deklaracja.AddValue(infprac.Imie1)
	datUrodz.FromStr(infprac.DataUrodz)
	if datUrodz.Valid() then
		E_Deklaracja.AddValue(infprac.DataUrodz)
	else
		E_Deklaracja.AddValue("")
	endif
else
	E_Deklaracja.ValueNumber = 10
	datUrodz.FromStr(infprac.DataUrodz)
	if datUrodz.Valid() then
		E_Deklaracja.AddValue(infprac.DataUrodz)
	else
		E_Deklaracja.AddValue("")
	endif
	E_Deklaracja.AddValue(infprac.Nazwisko)
	E_Deklaracja.AddValue(infprac.Imie1)
endif
 printDate(infprac.DataUrodz,t(25),t(26))
 printAt(t(27),t(28),infprac.Nazwisko)
 printAt(t(29),t(30),infprac.Imie1)

if !bAdresT then
	WczytajWartosc(sdat,datbuf.DateToStr(),IdSkladnika("Adres zameldowania"),lidprac)
	if TextWidth(infprac.stKraj, fntMale) > 350 then SetFont(fntMale2)
	printAt (t(31),t(32),infprac.stKraj)   //kraj
	if ZwrocWartosc(-1,8308) then
		if len(g_hval.StrValue)>0 then
			if len(g_hval.StrAttribute)>0 then
				sKraj = g_hval.StrAttribute
				E_Deklaracja.AddValue(g_hval.StrAttribute)
			else
				E_Deklaracja.KomunikatBledu(sErrBrakKoduKraju)
			endif
		else
			E_Deklaracja.KomunikatBledu(sErrBrakKraju)
		endif
	endif
	 SetFont(fntMale)
	 drukujDaneAdresuStr(t(33),t(34),infprac.stWojewodztwo,0)    //wojewodztwo
	 drukujDaneAdresuStr(t(35),t(36),infprac.stPowiat,0)
	 drukujDaneAdresuStr(t(37),t(38),infprac.stGmina,450)
	 drukujDaneAdresuStr(t(39),t(40),infprac.stUlica,0)  //ulica
	 drukujDaneAdresuStr(t(41),t(42),infprac.stNrDomu,0)  //numerDomu
	 drukujDaneAdresuStr(t(43),t(44),infprac.stNrLokalu,0)   //numerMieszk
	 drukujDaneAdresuStr(t(45),t(46),infprac.stMiasto,0) //miejscowosc
	 drukujDaneAdresuStr(t(47),t(48),infprac.stKod,0)   //kod
	 drukujDaneAdresuStr(t(49),t(50),infprac.stPoczta ,0) //poczta
 else
	 WczytajWartosc(sdat,datbuf.DateToStr(),IdSkladnika("Adres tymczasowy"),lidprac)
	 if TextWidth(infprac.czKraj, fntMale) > 350 then SetFont(fntMale2)
	 printAt(t(31),t(32),infprac.czKraj)
	 if ZwrocWartosc(-1,8308) then
		if len(g_hval.StrValue)>0 then
			if len(g_hval.StrAttribute)>0 then
				sKraj = g_hval.StrAttribute
				E_Deklaracja.AddValue(g_hval.StrAttribute)
			else
				E_Deklaracja.KomunikatBledu(sErrBrakKoduKraju)
			endif
		else
			E_Deklaracja.KomunikatBledu(sErrBrakKraju)
		endif
	 endif
	 SetFont(fntMale)
	 drukujDaneAdresuStr(t(33),t(34),infprac.czWojewodztwo,0)
	 drukujDaneAdresuStr(t(35),t(36),infprac.czPowiat,0)
	 drukujDaneAdresuStr(t(37),t(38),infprac.czGmina,450)
	 drukujDaneAdresuStr(t(39),t(40),infprac.czUlica,0)
	 drukujDaneAdresuStr(t(41),t(42),infprac.czNrDomu,0)
	 drukujDaneAdresuStr(t(43),t(44),infprac.czNrLokalu,0)
	 drukujDaneAdresuStr(t(45),t(46),infprac.czMiasto,0)
	 drukujDaneAdresuStr(t(47),t(48),infprac.czKod,0)
	 drukujDaneAdresuStr(t(49),t(50),infprac.czPoczta,0)
 endif
	if defPIT.NumerZestawu >= 22 && len(sKraj) then
		SetFont(fntCheck)
		if ucase(sKraj) == "PL" then
			printAt(t(165),t(166), "X")
			 E_Deklaracja.AddValueStr("1", "P_9")
		else
			pracownikInfo=""
			printAt(t(167),t(168),"X")
			 E_Deklaracja.AddValueStr("2", "P_9")
			WczytajWartosc(sdat, datbuf.DateToStr(), IdSkladnika("Zagraniczny numer identyfikacyjny podatnika"),lidprac)
			SetFont(fntMale)
			if ZwrocWartosc(-1,14809) then
				if len(g_hVal.StrValue) > 0 then
					printAt(t(169), t(170), g_hVal.StrValue)
					 E_Deklaracja.AddValueStr(g_hVal.StrValue, "P_11A")
					if ZwrocWartosc(-1,15575) && len(g_hVal.StrValue) then 
						if TextWidth(g_hVal.StrValue)> 850 then
							SetFont(fntMale2)
						endif
						printAt(t(171), t(172), g_hVal.StrValue)
						SetFont(fntMale)
						 E_Deklaracja.AddValueStr(g_hVal.StrAttribute, "P_12A")
					else
						pracownikInfo=dodajtekst(pracownikInfo,"Rodzaj identyfikatora zagranicznego")
					endif

					if ZwrocWartosc(-1,8308) && len(g_hVal.StrValue) then
						printAt(t(173), t(174), g_hVal.StrValue)
						 E_Deklaracja.AddValueStr(g_hVal.StrAttribute, "P_13A")
					else
						if !bAdresT then
							WczytajWartosc(sdat,datbuf.DateToStr(),IdSkladnika("Adres zameldowania"),lidprac)
						else
							WczytajWartosc(sdat,datbuf.DateToStr(),IdSkladnika("Adres tymczasowy"),lidprac)
						endif
						if ZwrocWartosc(-1,8308) then
							printAt(t(173), t(174), g_hVal.StrValue)
							 E_Deklaracja.AddValueStr(g_hVal.StrAttribute, "P_13A")
						else
							pracownikInfo=dodajtekst(pracownikInfo, "Kraj")
						endif
					endif
					if len(pracownikInfo) then mvStanRaportow.Set("pracownik", pracownikInfo + " pracownika "+infprac.Imie1+" "+infprac.Nazwisko+" dla elementu 'Zagraniczny numer identyfikacyjny podatnika' nie zosta wprowadzony.")
				else
					printAt(t(169), t(170), infprac.NrDowOs)
					 E_Deklaracja.AddValueStr(infprac.NrDowOs, "P_11A")
					  if ZwrocWartosc(-1,15575) && len(g_hVal.StrValue) then
							E_Deklaracja.AddValueStr(g_hVal.StrAttribute, "P_12A")
					  else
						if infprac.Paszport then
							E_Deklaracja.AddValueStr("3", "P_12A")
						else
							E_Deklaracja.AddValueStr("4", "P_12A")
						endif
					 endif
					 if ZwrocWartosc(-1,8308) && len(g_hVal.StrValue) then
							E_Deklaracja.AddValueStr(g_hVal.StrAttribute, "P_13A")
						else
							E_Deklaracja.AddValueStr(sKraj, "P_13A")
						endif
				endif
			endif
		endif
	endif	
//KONIEC
	//BLOK Sekcja D
	SetFont( fntCheck )
	if defPIT.NumerZestawu >= 22 then
		E_Deklaracja.ValueNumber = 27
	else
		E_Deklaracja.ValueNumber = 23
	endif
	if nCzescK then
		printAt(t(51),t(52),"X")
		E_Deklaracja.AddValue("1")
	else
		E_Deklaracja.AddValue("0")
	endif
	//KONIEC
	//BLOK Sekcja E
//	if !Main_Summary.PrepareSummary(defPIT.idZestawu, nSummType, 0) then message sErrInternal : error ""
//	dt_od.FromStr(okres_od)
//	dt_do.FromStr(okres_do)
//	Main_Summary.AddPeriods(dt_od,dt_do,PER_TYP_YEAR_POD)
//	Main_Summary.DoSummary(lidprac)
	select case Main_Summary.GetFloatValue(2,1)
		case 1
			printAt(t(53),t(54),"X")
		case 2
			printAt(t(55),t(56),"X")
		case 3
			printAt(t(57),t(58),"X")
		case 4
			printAt(t(59),t(60),"X")
		case 5
			printAt(t(61),t(62),"X")
	endselect
	if Main_Summary.GetFloatValue(2,1)>0 && Main_Summary.GetFloatValue(2,1)<6 then
		E_Deklaracja.AddValue(using "%d",Main_Summary.GetFloatValue(2,1))
	endif
	//KONIEC
endsub

int sub Print_Page_2()
 int i = 0, k
 int colconv(41) = 0,0,0,1,0,0,0,0,1,0,0,1,0,0,1,0,0,0,1,0,0,1,0,0,0,0,0,1,0,0,0,1,0,0,0,0,0,1,0,0,0,0
 nrStrony = 2
// if !Main_Summary.PrepareSummary(defPIT.idZestawu, nSummType, 0) then message sErrInternal : error ""
// dt_od.FromStr(okres_od)
// dt_do.FromStr(okres_do)
// Main_Summary.AddPeriods(dt_od,dt_do,PER_TYP_YEAR_POD)
// Main_Summary.DoSummary( lidprac )

 if defPIT.NumerZestawu >= 22 then
	E_Deklaracja.ValueNumber=29
 else
	E_Deklaracja.ValueNumber=25
 endif
 SetFont( fntMale )
 for k = 1 to k > 32
	if k != 8 && k != 11 && k != 14 then i += 1
	if colconv(k)  then
		//sPom = ZaokrPrWart0(i)
		if Val(ExUl(GetSklad(i))) && DrukujGrosze then
			buf = using "%.2f",GetSklad(i)
			replace ".",","
			sPom = buf
		else
			sPom = ZaokrPrWart01(i)
		endif
	else
		sPom = PrWart1(i)//nrelem(k))
	endif
    printAt(t(61 + (k * 2))-TextWidth(sPom),t(62 + (k * 2)),sPom)
 next k
 i=1
 for k = 30 to k > 38
 	 i+=1
	 	 select case k
		case 33
			sPom=PrWartWhereString(k)
			E_Deklaracja.AddValue(sPom)
			if CzyDrukujWart then 
				ramka at t(123+(i*2)),t(124+(i*2)),900,150
					if sPom != "0.00" then print sPom
				koniec
			endif 
		case 36
			if colconv(k+3) then
			 	sPom =  ZaokrPrWart1(k)
			else
			 	sPom =  PrWart2(k)
			endif
	 		printAt(t(123+(i*2))-TextWidth(sPom),t(124+(i*2)),sPom)			
		case else 
			if colconv(k+3) then
			 	sPom =  ZaokrPrWart01(k)
			else
			 	sPom =  PrWart1(k)
			endif
	 		printAt(t(123+(i*2))-TextWidth(sPom),t(124+(i*2)),sPom)
	endselect
 next k

endsub

int sub Print_Page_3()
	int k
	int colconv1(9) = 0,0,0,0,0,1,1,1,0
	nrStrony = 3
//	Main_Summary.DoSummary( lidprac )
	SetFont( fntMale )
 
	for k = 39 to k > 44
		if k == 42 then
			sPom=WartoscPoz81()
			E_Deklaracja.AddValue(sPom)
			if CzyDrukujWart then
				ramka at t(67 +(k*2)),t(68+(k*2)),900,150
				if sPom != "0.00" then print sPom
				koniec
			endif 
		else
			if colconv1(k-38) then
				sPom = ZaokrPrWart01(k)
			else
				sPom = PrWart1(k)
			endif
			printAt(t(67 +(k*2))-TextWidth(sPom),t(68+(k*2)),sPom)
		endif
	next k
	for k = 45 to k > 46
		sPom = ZaokrPrWart2(k)
		printAt(t(67 +(k*2))-TextWidth(sPom),t(68+(k*2)),sPom)
	next k

	DrukujwRamce(t(161), t(162), 550, 110,sImie)
	DrukujwRamce(t(163), t(164), 550, 110,sNazwisko)
	EndE_D(3)
endsub

int sub Print_Page_4()
	if defPIT.NumerZestawu >= 22 then
		DrukujORDZU(174)
	else
		DrukujORDZU(164)
	endif
	EndE_D(4)
endsub

int sub Print_Page_5()
endsub


RunReport()
PrintExclusion()

#ifdef NAMES
	SetFont(fntNormal)
	strona 50,50,0,0
	PrintList()
#endif

string sub WartoscPoz81()
int i
string poz81
string temp=""
long idelem
long kla=KLASAPIT81
float warunek

HRCLass klas
summary sum_pomoc
InfoSkladnik infskl
poz81=PrWartWhereString(42)
warunek=GetSklad(43)

if warunek>0 then
//sprawdzamy wartosc kolejnych elementow z klasy
	klas.LoadClass(kla,1)
	sum_pomoc.Clear()
	if klas.GetCount() > 0 then
	for  i=1 to i>klas.GetCount()
		sum_pomoc.AddComponent(klas.GetAt(i))
	next i
	sum_pomoc.PrepareSummary( 0, nSummType, 0)
	sum_pomoc.AddPeriods(dt_od,dt_do,PER_TYP_YEAR_POD)
	sum_pomoc.DoSummary(lidprac)
	if sum_pomoc.GetComponentCount() then
		for i=1 to i>sum_pomoc.GetComponentCount()
			if sum_pomoc.GetFloatValue(2,i)>0 then
				idelem = sum_pomoc.GetComponent(i)
				DaneSkladnika(infskl, #idelem)
				if len(temp)>0 then
					temp=infskl.GetNazwaDoDruku()+", "+temp
				else
					temp=infskl.GetNazwaDoDruku()
				endif
			endif
		next i
	endif
	endif
	if poz81 != "------" then
		if temp != "" then poz81=temp+", "+poz81 
	else
		poz81=temp
	endif
endif
WartoscPoz81=poz81
endsub

testWydruk()

PD()
